Opened 4 years ago

Closed 4 years ago

#2037 closed defect (fixed)

Heavy A/V desync on transcoding

Reported by: ramitbhalla Owned by:
Priority: normal Component: undetermined
Version: git-master Keywords: asf mpegts mpeg2video
Cc: Blocked By:
Blocking: Reproduced by developer: yes
Analyzed by developer: no

Description

Summary of the bug: I have a lot of file (mostly DVRMS and TS) where FFMPEG is not able to get the correct frame rate. I'm attaching one such example which I've created using a binary cutter.

As you can see it's reporting a rate of 25.58 where as MediaInfo? is able to correctly determine the frame rate of ALL media files I provide it (in this case it showed 25).

Any idea why ffmpeg is not able to determine the frame rate? This is creating a problem since while converting to mp4 the audio is slowly going of out sync with the video (upto 5 seconds after about an hour of recording).

How to reproduce:

ffmpeg.239-current.exe -i "Test DVRMS.dvr-ms"
ffmpeg version N-46726-g2f74f8d Copyright (c) 2000-2012 the FFmpeg developers
  built on Nov 13 2012 19:29:51 with gcc 4.7.2 (GCC)
  configuration: --enable-gpl --enable-version3 --disable-pthreads --enable-runtime-cpudetect --enable-avisynth --enable
-bzlib --enable-frei0r --enable-libass --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libfreetype --enab
le-libgsm --enable-libmp3lame --enable-libnut --enable-libopenjpeg --enable-libopus --enable-librtmp --enable-libschroed
inger --enable-libspeex --enable-libtheora --enable-libutvideo --enable-libvo-aacenc --enable-libvo-amrwbenc --enable-li
bvorbis --enable-libvpx --enable-libx264 --enable-libxavs --enable-libxvid --enable-zlib
  libavutil      52.  6.100 / 52.  6.100
  libavcodec     54. 71.100 / 54. 71.100
  libavformat    54. 36.100 / 54. 36.100
  libavdevice    54.  3.100 / 54.  3.100
  libavfilter     3. 23.100 /  3. 23.100
  libswscale      2.  1.102 /  2.  1.102
  libswresample   0. 16.100 /  0. 16.100
  libpostproc    52.  1.100 / 52.  1.100
[mpeg2video @ 03489b20] interlaced frame in progressive sequence, ignoring
[mpeg2video @ 03489b20] invalid frame_pred_frame_dct
[mpeg2video @ 03489b20] slice below image (30 >= 30)
[asf @ 002cae40] Estimating duration from bitrate, this may be inaccurate
Input #0, asf, from 'Test DVRMS.dvr-ms':
  Metadata:
    DVR Index Granularity: 500
    WM/SubTitle     : Ch 9, 6:00 PM
    WM/SubTitleDescription: Nine Digital 6:00 PM
    WM/OriginalReleaseTime: 0001-01-01T00:00:00Z
    service_provider: Nine Digital
    service_name    : Nine Digital
    WM/MediaOriginalChannel: 9
    WM/MediaOriginalBroadcastDateTime: 0001-01-01T00:00:00Z
    WM/WMRVServiceID: 191625:4114:1056:1057
    WM/WMRVProgramID: None
    WM/MediaOriginalRunTime: 8201308
    WM/WMRVEncodeTime: 1844674
    WM/MediaIsStereo: 0
    WM/VideoClosedCaptioning: 0
    WM/MediaIsRepeat: 0
    WM/MediaIsLive  : 0
    WM/MediaIsTape  : 0
    WM/MediaIsDelay : 0
    WM/MediaIsSubtitled: 0
    WM/MediaIsMovie : 0
    WM/MediaIsPremiere: 0
    WM/MediaIsFinale: 0
    WM/MediaIsSAP   : 0
    WM/WMRVRequestID: 645
    WM/WMRVScheduleItemID: 656
    WM/WMRVQuality  : 3
    WM/WMRVOriginalSoftPrePadding: 0
    WM/WMRVOriginalSoftPostPadding: 0
    WM/WMRVActualSoftPrePadding: 0
    WM/WMRVHardPrePadding: 0
    WM/WMRVEndTime  : 2579709
    WM/WMRVExpirationDate: 1844674
    WM/WMRVBitrate  : 0
    WM/WMRVKeepUntil: 184
    WM/WMRVHardPostPadding: 0
    WM/WMRVActualSoftPostPadding: 0
    WM/WMRVContentProtectedPercent: 0
    WM/WMRVInBandRatingSystem: 255
    WM/WMRVInBandRatingLevel: 255
    WM/WMRVInBandRatingAttributes: 0
    WM/WMRVWatched  : 0
    WM/WMRVATSCContent: 0
    WM/WMRVDTVContent: 1
    WM/WMRVHDContent: 0
    WM/WMRVContentProtected: 0
    WM/MediaThumbTimeStamp: 1844674
    WM/MediaThumbWidth: 360
    WM/MediaThumbHeight: 288
    WM/MediaThumbStride: 108
    WM/MediaThumbRet: 0
    WM/MediaThumbType: 3
    WM/MediaThumbRatingSystem: 255
    WM/MediaThumbRatingLevel: 255
    WM/MediaThumbRatingAttributes: 0
    WM/MediaThumbAspectRatioX: 16
    WM/MediaThumbAspectRatioY: 9
    WMFSDKVersion   : 11.0.6001.7000
    WMFSDKNeeded    : 0.0.0.0000
    VBR Peak        : 159
    IsVBR           : 1
    title           : Manual Recording
  Duration: 00:00:01.62, start: 37.280000, bitrate: 10356 kb/s
    Stream #0:0: Video: mjpeg, yuvj420p, 200x200 [SAR 96:96 DAR 1:1], 90k tbr, 90k tbn, 90k tbc
    Metadata:
      title           : TV Thumbnail
      comment         : Movie/video screen capture
    Stream #0:1: Audio: mp2, 48000 Hz, stereo, s16, 256 kb/s
    Stream #0:2: Video: mpeg2video (DVR  / 0x20525644), yuv420p, 704x480 [SAR 64:45 DAR 1408:675], 12000 kb/s, 25.58 fps
, 25 tbr, 1k tbn, 50 tbc
At least one output file must be specified

Attachments (1)

Test DVRMS.dvr-ms (2.0 MB) - added by ramitbhalla 4 years ago.
DVRMS Wrong Frame Rate

Download all attachments as: .zip

Change History (14)

Changed 4 years ago by ramitbhalla

DVRMS Wrong Frame Rate

comment:1 Changed 4 years ago by ramitbhalla

Here is another file that gets the framerate completely wrong (actual frame rate is 25fps which was again reported correctly by MediaInfo?) but incorrectly by FFMPEG.

I think this problem was reported in another ticket but marked resolved. Apparently the problem still exists.

http://www.mediafire.com/?ojp54ym1mkaqkg4

ffmpeg.239-current.exe -i Test1.wtv
ffmpeg version N-46726-g2f74f8d Copyright (c) 2000-2012 the FFmpeg developers
  built on Nov 13 2012 19:29:51 with gcc 4.7.2 (GCC)
  configuration: --enable-gpl --enable-version3 --disable-pthreads --enable-runtime-cpudetect --enable-avisynth --enable
-bzlib --enable-frei0r --enable-libass --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libfreetype --enab
le-libgsm --enable-libmp3lame --enable-libnut --enable-libopenjpeg --enable-libopus --enable-librtmp --enable-libschroed
inger --enable-libspeex --enable-libtheora --enable-libutvideo --enable-libvo-aacenc --enable-libvo-amrwbenc --enable-li
bvorbis --enable-libvpx --enable-libx264 --enable-libxavs --enable-libxvid --enable-zlib
  libavutil      52.  6.100 / 52.  6.100
  libavcodec     54. 71.100 / 54. 71.100
  libavformat    54. 36.100 / 54. 36.100
  libavdevice    54.  3.100 / 54.  3.100
  libavfilter     3. 23.100 /  3. 23.100
  libswscale      2.  1.102 /  2.  1.102
  libswresample   0. 16.100 /  0. 16.100
  libpostproc    52.  1.100 / 52.  1.100
[wtv @ 0033ae00] reported file length (0xb045eca0) exceeds number of available sectors (0x60000000)
[h264 @ 02dd3a60] non-existing SPS 0 referenced in buffering period
[h264 @ 02dd3a60] non-existing PPS referenced
[h264 @ 02dd3a60] non-existing SPS 0 referenced in buffering period
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] no frame!
[h264 @ 02dd3a60] non-existing SPS 0 referenced in buffering period
[h264 @ 02dd3a60] non-existing PPS referenced
[h264 @ 02dd3a60] non-existing SPS 0 referenced in buffering period
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] no frame!
[h264 @ 02dd3a60] non-existing SPS 0 referenced in buffering period
[h264 @ 02dd3a60] non-existing PPS referenced
[h264 @ 02dd3a60] non-existing SPS 0 referenced in buffering period
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] no frame!
[h264 @ 02dd3a60] non-existing SPS 0 referenced in buffering period
[h264 @ 02dd3a60] non-existing PPS referenced
[h264 @ 02dd3a60] non-existing SPS 0 referenced in buffering period
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] no frame!
[h264 @ 02dd3a60] non-existing SPS 0 referenced in buffering period
[h264 @ 02dd3a60] non-existing PPS referenced
[h264 @ 02dd3a60] non-existing SPS 0 referenced in buffering period
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] no frame!
[h264 @ 02dd3a60] non-existing SPS 0 referenced in buffering period
[h264 @ 02dd3a60] non-existing PPS referenced
[h264 @ 02dd3a60] non-existing SPS 0 referenced in buffering period
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] no frame!
[h264 @ 02dd3a60] non-existing SPS 0 referenced in buffering period
[h264 @ 02dd3a60] non-existing PPS referenced
[h264 @ 02dd3a60] non-existing SPS 0 referenced in buffering period
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] no frame!
[h264 @ 02dd3a60] non-existing SPS 0 referenced in buffering period
[h264 @ 02dd3a60] non-existing PPS referenced
[h264 @ 02dd3a60] non-existing SPS 0 referenced in buffering period
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] non-existing PPS 0 referenced
[h264 @ 02dd3a60] decode_slice_header error
[h264 @ 02dd3a60] no frame!
[h264 @ 02dd3a60] mmco: unref short failure
    Last message repeated 2 times
Input #0, wtv, from 'Test1.wtv':
  Metadata:
    WM/MediaClassPrimaryID: db9830bd-3ab3-4fab-8a371a995f7ff74
    WM/MediaClassSecondaryID: ba7f258a-62f7-47a9-b21f4651c42a000
    Title           : Doctor Who
    WM/SubTitle     : 4/13. The Doctor's Wife
    WM/SubTitleDescription: Science fiction drama. When he follows a Time Lord distress signal, the Doctor puts Amy, Ror
y and his beloved TARDIS in grave danger. [HD] [AD,S]
    genre           : Entertainment - Sci-FI
    WM/OriginalReleaseTime: 0
    WM/MediaCredits : ;;;
    service_provider: BBC One HD
    service_name    : BBC One HD
    WM/MediaNetworkAffiliation: BBC One HD
    WM/MediaOriginalChannel: 143
    WM/MediaOriginalChannelSubNumber: 0
    WM/MediaOriginalBroadcastDateTime: 0001-01-01T00:00:00Z
    WM/MediaOriginalRunTime: 31093994141
    WM/MediaIsStereo: false
    WM/MediaIsRepeat: false
    WM/MediaIsLive  : false
    WM/MediaIsTape  : false
    WM/MediaIsDelay : false
    WM/MediaIsSubtitled: false
    WM/MediaIsMovie : false
    WM/MediaIsPremiere: false
    WM/MediaIsFinale: false
    WM/MediaIsSAP   : false
    WM/MediaIsSport : false
    WM/Provider     : MediaCenterDefault
    WM/VideoClosedCaptioning: false
    WM/WMRVEncodeTime: 2011-05-14 17:31:10
    WM/WMRVSeriesUID: !GenericSeries!Doctor Who
    WM/WMRVServiceID: !DVBLinkService!37780000
    WM/WMRVProgramID: !MCProgram!8162774324643977!dvblogiccppplugin:2:2050:6941!1305394200
    WM/WMRVRequestID: 0
    WM/WMRVScheduleItemID: 0
    WM/WMRVQuality  : 0
    WM/WMRVOriginalSoftPrePadding: 420
    WM/WMRVOriginalSoftPostPadding: 180
    WM/WMRVHardPrePadding: -300
    WM/WMRVHardPostPadding: 0
    WM/WMRVATSCContent: false
    WM/WMRVDTVContent: true
    WM/WMRVHDContent: true
    Duration        : 27526611328
    WM/WMRVEndTime  : 2011-05-14 18:17:03
    WM/WMRVBitrate  : 8.596867
    WM/WMRVKeepUntil: -1
    WM/WMRVActualSoftPrePadding: 229
    WM/WMRVActualSoftPostPadding: -176
    WM/WMRVContentProtected: false
    WM/WMRVContentProtectedPercent: 0
    WM/WMRVExpirationSpan: 9223372036854775807
    WM/WMRVInBandRatingSystem: 255
    WM/WMRVInBandRatingLevel: 255
    WM/WMRVInBandRatingAttributes: 0
    WM/WMRVWatched  : false
  Duration: 00:23:30.67, start: 1298.665362, bitrate: 356 kb/s
    Stream #0:0[0x29](eng): Subtitle: dvb_subtitle
    Stream #0:1[0x2a](eng): Subtitle: dvb_teletext
    Stream #0:2[0x2b](eng): Audio: ac3, 48000 Hz, 5.1(side), s16, 384 kb/s
    Stream #0:3[0x2c]: Video: h264 (High), yuv420p, 1440x1080 [SAR 4:3 DAR 16:9], 25 fps, 50 tbr, 10000k tbn, 50 tbc
    Stream #0:4[0x2d](nar): Audio: mp2 (P[0][0][0] / 0x0050), 48000 Hz, stereo, s16, 256 kb/s (visual impaired)
At least one output file must be specified

comment:2 Changed 4 years ago by ramitbhalla

Apologies, please ignore my last post - the WTV is being reported correctly as 25FPS.
Question is why is the tbr reported as 50?

comment:3 in reply to: ↑ description Changed 4 years ago by cehoyos

Replying to ramitbhalla:

This is creating a problem since while converting to mp4 the audio is slowly going of out sync with the video (upto 5 seconds after about an hour of recording).

This sounds like an important issue, could you provide a sample that allows to reproduce this?

comment:4 Changed 4 years ago by ramitbhalla

Sure, the original video is 5GB, I've cut out a 100MB and uploaded it here.

http://www.mediafire.com/?8bfooipkdf1e56l

The complete original command I'm using is (converting to divx):

ffmpeg -async 1 -threads 0 -drc_scale 0.8 -y -i test-audio-broken.ts -ss 3 -vf yadif=0:-1,hqdn3d,crop=1280:720:0:0,scale=720:400 -vcodec mpeg4 -vtag xvid -b 1800000 -f avi -flags +mv4+aic -g 300 -dts_delta_threshold 0 -acodec ac3 -ab 256k -ac 2 test.avi

However the problem can be replicated (and is actually aggrevated) using:

ffmpeg -i test-audio-broken.ts -vcodec mpeg4 -vtag xvid -b 1800000 -acodec ac3 -ab 256k test.avi

basic output:

ffmpeg version N-46726-g2f74f8d Copyright (c) 2000-2012 the FFmpeg developers
  built on Nov 13 2012 19:29:51 with gcc 4.7.2 (GCC)
  configuration: --enable-gpl --enable-version3 --disable-pthreads --enable-runtime-cpudetect --enable-avisynth --enable
-bzlib --enable-frei0r --enable-libass --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libfreetype --enab
le-libgsm --enable-libmp3lame --enable-libnut --enable-libopenjpeg --enable-libopus --enable-librtmp --enable-libschroed
inger --enable-libspeex --enable-libtheora --enable-libutvideo --enable-libvo-aacenc --enable-libvo-amrwbenc --enable-li
bvorbis --enable-libvpx --enable-libx264 --enable-libxavs --enable-libxvid --enable-zlib
  libavutil      52.  6.100 / 52.  6.100
  libavcodec     54. 71.100 / 54. 71.100
  libavformat    54. 36.100 / 54. 36.100
  libavdevice    54.  3.100 / 54.  3.100
  libavfilter     3. 23.100 /  3. 23.100
  libswscale      2.  1.102 /  2.  1.102
  libswresample   0. 16.100 /  0. 16.100
  libpostproc    52.  1.100 / 52.  1.100
[mpegts @ 022db0e0] Adjusting PTS forward
    Last message repeated 76 times
[mpegts @ 022db0e0] PES packet size mismatch
Input #0, mpegts, from 'test-audio-broken.ts':
  Duration: 00:01:20.02, start: 1.400000, bitrate: 10483 kb/s
  Program 1
    Metadata:
      service_name    : WVLTDT (WVLT-DT)
      service_provider: WVLTDT
    Stream #0:0[0x100]: Video: mpeg2video (Main) ([2][0][0][0] / 0x0002), yuv420p, 1280x720 [SAR 1:1 DAR 16:9], 59.94 fp
s, 59.94 tbr, 90k tbn, 119.88 tbc
    Stream #0:1[0x101]: Audio: ac3 ([129][0][0][0] / 0x0081), 48000 Hz, stereo, s16, 192 kb/s
Please use -b:a or -b:v, -b is ambiguous
File 'test.avi' already exists. Overwrite ? [y/N] y
Output #0, avi, to 'test.avi':
  Metadata:
    ISFT            : Lavf54.36.100
    Stream #0:0: Video: mpeg4 (xvid / 0x64697678), yuv420p, 1280x720 [SAR 1:1 DAR 16:9], q=2-31, 1800 kb/s, 59.94 tbn, 5
9.94 tbc
    Stream #0:1: Audio: ac3 ([0] [0][0] / 0x2000), 48000 Hz, stereo, fltp, 256 kb/s
Stream mapping:
  Stream #0:0 -> #0:0 (mpeg2video -> mpeg4)
  Stream #0:1 -> #0:1 (ac3 -> ac3)
Press [q] to stop, [?] for help
[mpegts @ 022db0e0] Adjusting PTS forward
    Last message repeated 11 times
Adjusting PTS forward=8.6 size=     364kB time=00:00:01.40 bitrate=2130.5kbits/s
[mpegts @ 022db0e0] Adjusting PTS forward
    Last message repeated 11 times
Adjusting PTS forward=8.3 size=     668kB time=00:00:02.51 bitrate=2171.4kbits/s
[mpegts @ 022db0e0] Adjusting PTS forward
    Last message repeated 12 times
Adjusting PTS forward=10.6 size=     952kB time=00:00:03.68 bitrate=2115.7kbits/s
[mpegts @ 022db0e0] Adjusting PTS forward
    Last message repeated 13 times
Adjusting PTS forward=11.4 size=    1235kB time=00:00:04.93 bitrate=2049.3kbits/s
[mpegts @ 022db0e0] Adjusting PTS forward
    Last message repeated 11 times
...
...
Adjusting PTS forward=31.0 size=   32440kB time=00:02:12.58 bitrate=2004.4kbits/s
[mpegts @ 0215b0e0] Adjusting PTS forward
    Last message repeated 1 times
[mpegts @ 0215b0e0] PES packet size mismatch
[mpegts @ 0215b0e0] Adjusting PTS forward
[mpeg2video @ 02d7dc00] Warning MVs not available
[mpeg2video @ 02d7dc00] concealing 741 DC, 741 AC, 741 MV errors in B frame
frame= 4764 fps= 90 q=31.0 Lsize=   32796kB time=00:02:12.94 bitrate=2020.8kbits/s
video:30004kB audio:2496kB subtitle:0 global headers:0kB muxing overhead 0.911038%

comment:5 Changed 4 years ago by cehoyos

  • Keywords asf added

Iiuc, you reported this ticket about an asf file, then you provided a transport stream with (heavy) A/V desync. The desync for the ts file should be fixed (in the future, please try hard not to report multiple independent problems in one ticket, it makes following the tracker impossible), the question concerning the asf file is: Are you only reporting the possibly incorrectly shown framerate, or is there another problem with the file (and you suspect it is framerate-related)? If there is another problem, please provide a longer sample.

comment:6 follow-up: Changed 4 years ago by ramitbhalla

Initially I thought i was frame rate related, possibly the incorrect frame rate maybe be causing the A/V desync, but after further testing (even forcing the correct framerate using -r) I am unable to get the video in sync.

so this is an unrelated issue where the A/V is going out of sync. Again - my apologies for connecting this issue with the frame rate, if you'd like I can open a separate ticket on this issue.

comment:7 in reply to: ↑ 6 Changed 4 years ago by cehoyos

Replying to ramitbhalla:

Initially I thought i was frame rate related, possibly the incorrect frame rate maybe be causing the A/V desync, but after further testing (even forcing the correct framerate using -r) I am unable to get the video in sync.

Please provide a sample that is long enough to (easily) reproduce the desync issue.

comment:8 follow-up: Changed 4 years ago by ramitbhalla

I've included the link for the sample with the output and command line above:

http://www.mediafire.com/?8bfooipkdf1e56l

comment:9 in reply to: ↑ 8 Changed 4 years ago by cehoyos

Replying to ramitbhalla:

I've included the link for the sample with the output and command line above:

http://www.mediafire.com/?8bfooipkdf1e56l

This is not an asf file (and as said the problem is fixed in current git head).

Last edited 4 years ago by cehoyos (previous) (diff)

comment:10 Changed 4 years ago by ramitbhalla

You're correct, with the 21st Dec build I too am unable to replicate the issue. It appears to have been fixed somewhere between the 13th Nov and 21st Dec build.

Thanks, you can close the ticket.

comment:11 Changed 4 years ago by cehoyos

Is there no longer version of "Test DVRMS.dvr-ms" that shows desync issues?

comment:12 Changed 4 years ago by ramitbhalla

Apparently the issue appears to have been fixed in the Dec 21st build. I'm not able to replicate it with this build.

If I come across other files with show the desync issue, I'll open a new ticket.

Thanks.

comment:13 Changed 4 years ago by cehoyos

  • Keywords mpegts mpeg2video added
  • Reproduced by developer set
  • Resolution set to fixed
  • Status changed from new to closed
  • Summary changed from FFMPEG not able to determine frame rate, primarily DVRMS and some TS to Heavy A/V desync on transcoding
  • Version changed from unspecified to git-master

Fixed by Michael.

Note: See TracTickets for help on using tickets.